<?php
//$uri = "http://localhost:58618/Service1.svc/books/";
$uri = "http://anbobookstorerest.cloudapp.net/Service1.svc/books/"
?>

<!DOCTYPE html>

<html>
    <head>
        <meta charset="UTF-8">
        <title>Bookstore</title>
    </head>
    <body>
        <h1>Bookstore</h1>

        <h2>New book</h2>
        <p>This was the last part I made</p>
        <form action="index.php" method="post">
            Author <input type="text" name="author" /> <br />
            Title <input type="text" name="title" /> <br />
            Publisher <input type="text" name="publisher" /> <br />
            Price <input type="number" step="0.01" name="price" value="0.0" />
            <input type="submit" />
        </form>

        <?php
        if (isset($_POST["author"])) {
            $author = $_POST["author"];
            $title = $_POST["title"];
            $publisher = $_POST["publisher"];
            $price = $_POST["price"];

            // Adapted from http://www.lornajane.net/posts/2011/posting-json-data-with-php-curl
            $data = array("Author" => $author, "Title" => $title, "Publisher" => $publisher, "Price" => $price);
            $data_string = json_encode($data);

            $ch = curl_init($uri);
            // curl is good for more complex operations than just plain GET 
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                'Content-Type: application/json',
                'Content-Length: ' . strlen($data_string))
            );

            $result = curl_exec($ch);
            echo $result;
        }
        ?>

        <h2>Books by title</h2>
        <p>I made this second</p>
        <form action="index.php" method="post">
            Title (fragment) 
            <input type="text" name="titleFragment" />
            <input type="submit" />
        </form>

        <?php
        if (isset($_POST["titleFragment"])) {
            $jsondata = file_get_contents($uri . "title/" . $_POST["titleFragment"]);
            $array = json_decode($jsondata, true);
            if (empty($array)) {
                echo "No books";
            } else {
                echo "<ol>";
                foreach ($array as $book) {
                    echo "<li>" . $book["Author"] . " " . $book["Title"] . " " . $book["Publisher"] . "</li>";
                }
                echo "</ol>";
            }
        }
        ?>

        <h2>All books</h2>
        <p>I made this first</p>
        <?php
        $jsondata = file_get_contents($uri); 
        // file_get_contents(...) is good for simple (GET) operations
        $array = json_decode($jsondata, true);
        if (empty($array)) {
            echo "No books";
        } else {
            echo "<ol>";
            foreach ($array as $book) {
                echo "<li>" . $book["Author"] . " " . $book["Title"] . " " . $book["Publisher"] . " " . $book["Price"] . "</li>";
            }
            echo "</ol>";
        }
        ?>
    </body>
</html>